%define anolis_release 2

Name:           SDL2_image
Version:        2.6.3
Release:        %{anolis_release}%{?dist}
Summary:        Image loading library for SDL
License:        LGPLv2+ and zlib
URL:            https://github.com/libsdl-org/SDL_image
Source0:        https://github.com/libsdl-org/SDL_image/releases/download/release-%{version}/SDL2_image-%{version}.tar.gz
Patch0:		SDL2_image-2.6.2-cmakeinstall-fix.patch

BuildRequires:  gcc
BuildRequires:  SDL2-devel
BuildRequires:  libavif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libjxl-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libwebp-devel
BuildRequires:  cmake
Provides:       bundled(miniz) = 1.15
# Some custom version of it
Provides:       bundled(nanosvg)

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL surfaces.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i -e 's/\r//g' README.txt CHANGES.txt

%build
%cmake \
  -DSDL2IMAGE_VENDORED=OFF \
  -DSDL2IMAGE_BACKEND_STB=OFF \
  -DSDL2IMAGE_DEPS_SHARED=OFF \
  -DSDL2IMAGE_TIF=ON \
  -DSDL2IMAGE_JXL=ON \
  -DSDL2IMAGE_WEBP=ON \
  -DSDL2IMAGE_AVIF=ON \
  -DSDL2IMAGE_SAMPLES_INSTALL=ON \
%{nil}
%cmake_build

%install
%cmake_install

%generate_compatibility_deps

%files
%license LICENSE.txt
%dir %{abidir}
%{_bindir}/*
%{_libdir}/libSDL2_image-2.0.so.*
%{abidir}/libSDL2_image-2.0.dump
%{abidir}/*-option.list

%files devel
%{_libdir}/libSDL2_image*.so
%{_includedir}/SDL2/SDL_image.h
%dir %{_libdir}/cmake
%{_libdir}/cmake/SDL2_image/
%{_libdir}/pkgconfig/SDL2_image.pc

%files doc
%doc README.txt
%doc CHANGES.txt

%changelog
* Mon Apr 03 2023 Funda Wang <fundawang@yeah.net> - 2.6.3-2
- Rebuild for new libavif and libjxl

* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 2.6.3-1
- New version 2.6.3

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 2.6.2-2
- Rebuild for new libtiff

* Sun Nov 27 2022 Funda Wang <fundawang@yeah.net> - 2.6.2-1
- New version 2.6.2
- Use cmake to build

* Fri Oct 28 2022 happy_orange <songnannan@linux.alibaba.com> - 2.6.1-1
- Init package from upstream
